Visual Studio Icon Requisitos del sistema de la familia de productos de Visual Studio 2019 para Mac



Comunidad de desarrolladores | Requisitos del sistema | Compatibilidad | Código distribuible | Documentación | Blogs | Mantenimiento


Estos son los requisitos mínimos del sistema relativos a la familia de productos de Visual Studio 2019 para Mac. Para instalar Visual Studio 2019 para Mac, vea Descargas de Visual Studio 2019. Para obtener información sobre las novedades de esta versión, vea las notas de la versión de Visual Studio 2019 para Mac. Vea también Compatibilidad y destinatarios de la plataforma de Visual Studio 2019 para Mac.

Visual Studio 2019 para Mac

Los siguientes productos admiten los requisitos mínimos del sistema siguientes:

  • Visual Studio Enterprise 2019 para Mac.
  • Visual Studio Professional 2019 para Mac.
  • Visual Studio Community 2019 para Mac.

Sistemas operativos admitidos

Visual Studio 2019 para Mac se instalará y ejecutará en los siguientes sistemas operativos:

  • macOS Catalina 10.15 *
  • macOS Mojave 10.14
  • macOS High Sierra 10.13

La versión más reciente de Xcode 11 requiere macOS Mojave 10.14; por lo tanto, los proyectos de Xamarin.iOS y Xamarin.Mac también requieren esa versión mínima.

* Aunque ya se ha comprobado que la versión 8.3 de Visual Studio 2019 para Mac funciona en Catalina, macOS Catalina tiene problemas de compatibilidad conocidos con varias aplicaciones. Infórmenos de cualquier incidencia en la Comunidad de desarrolladores. Catalina no admite versiones anteriores de Visual Studio para Mac.

Hardware

  • Procesador de 1,8 GHz o superior. Doble núcleo o superior recomendado.
  • 4 GB de RAM; 8 GB de RAM recomendado (mínimo de 4 GB si se ejecuta en una máquina virtual).
  • Disco duro necesario de forma predeterminada: 5,6 GB aproximadamente.

Idiomas compatibles

Visual Studio para Mac está disponible en los idiomas siguientes:

  • Inglés
  • Chino (simplificado)
  • Chino (tradicional)
  • Checo
  • Francés
  • Alemán
  • Italiano
  • Japonés
  • Coreano
  • Polaco
  • Portugués (Brasil)
  • Ruso
  • Español
  • Turco

Requisitos adicionales

  • Se requiere .NET Core SDK 2.2 para usar las características y los proyectos de .NET Core. Se puede descargar e instalar por separado, y requiere macOS Sierra 10.12 o una versión superior.
  • Xamarin.Android requiere Java Development Kit (JDK) de 64 bits.
  • Xamarin.iOS requiere el IDE de Xcode y el SDK de iOS de Apple.
  • Xamarin.Forms puede tener como destino las plataformas iOS y Android, dados los requisitos mencionados anteriormente.
Principio de página